#ifndef   	UNITTESTS_H_
# define   	UNITTESTS_H_

#include <QObject>
#include <zend.h>
    
class SmokeBinding;
class Smoke;

class Q_DECL_EXPORT TestPHPQt : public QObject
{
  Q_OBJECT;
 public:
  explicit TestPHPQt( SmokeBinding* binding, zval* z );
  virtual ~TestPHPQt();

 private slots:
  void initTestCase(){}
  void InvokeVirtualMethod();
  void InvokeSlot();
 private:
  SmokeBinding* _binding;
  zval* _z;
  Smoke* _smoke;
};

#endif 	    /* !UNITTESTS_H_ */
